#include "wielomian.h"
#include "funkcja.h"
#include <string>
using namespace std;


#ifndef LINIA_H
#define LINIA_H
class Linia : public Wielomian
{
public:
	Linia(double a=0, double b=0,string name="Linia prosta");
	Linia(Punkt x1,Punkt x2,string nazwa="Linia prosta");
	double MiejsceZerowe();
	Punkt PunktPrzeciecia(const Linia &l)  const;
	double MiejsceZerowe() const;
	Linia Prostopadla(double x) ;             // linia prostopadła przecinająca linie *this w punkcie x
	Linia Prostopadla(Punkt x) const;              // linia prostopadla przechodzaca przez punkt x
	// Linia(const Linia &l);  konstruktor kopiujacy nie jest potrzebny
	// ~Linia();    destruktor nie jest potrzebny
};

#endif
